wavefront {RBGL} | R Documentation

## Compute the i-th/max/average/rms wavefront for a graph

### Description

Compute the i-th/max/average/rms wavefront for a graph

### Usage

    ith.wavefront(g, start)
    maxWavefront(g)
    aver.wavefront(g)
    rms.wavefront(g)

### Arguments

`start` | a vertex of the `graph` class
`g` | an instance of the `graph` class

### Details

Assorted functions on wavefront of a graph.

### Value

`ith.wavefront` | wavefront of the given vertex
`maxWavefront` | maximum wavefront of a graph
`aver.wavefront` | average wavefront of a graph
`rms.wavefront` | root mean square of all wavefronts

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Boost Graph Library by Siek et al.

### See Also

`edgeConnectivity`

### Examples

    coex <- fromGXL(file(system.file("XML/dijkex.gxl",package="RBGL"), open="r"))
    ss <- 1
    ith.wavefront(coex, ss)
    maxWavefront(coex)
    aver.wavefront(coex)
    rms.wavefront(coex)

[Package RBGL version 1.10.0 Index]